#!/bin/sh

CONF_PATH=/usr/local/synoradius/synoconf
TMP_CONF=$(mktemp /tmp/radius.XXXXXX)
grep 'ad_block_' $CONF_PATH | sed -e 's/\\\\/\\/g' -e 's/\\/\\\\/g' > $TMP_CONF
sed -i '/ad_block_/d' $CONF_PATH
cat $TMP_CONF >> $CONF_PATH
rm -f $TMP_CONF

RAD_LDAP_PATH=/usr/local/synoradius/rad_ldap
sed -i 's/basedn/base_dn/g' $RAD_LDAP_PATH

/var/packages/RadiusServer/target/bin/synoradius -update_client


# update conf for tls min/max verison
SYNO_CONF_JSON="/usr/local/synoradius/synoconf.json"
SYNO_CONF_JSON_TMP="/usr/local/synoradius/synoconf.json.tmp"
if [ -e $SYNO_CONF_JSON ]; then 
	TLS_MIN=`/bin/cat $SYNO_CONF_JSON | /bin/jq .tls_min_version`
	if [ "$TLS_MIN" != "1.0" -a "$TLS_MIN" != "1.2" ]; then
		cat $SYNO_CONF_JSON | jq '. + { "tls_min_version": "1.2" }' > $SYNO_CONF_JSON_TMP
		mv $SYNO_CONF_JSON_TMP $SYNO_CONF_JSON
	fi
	TLS_MAX=`/bin/cat $SYNO_CONF_JSON | /bin/jq .tls_max_version`
	if [ "$TLS_MAX" != "1.0" -a "$TLS_MAX" != "1.2" ]; then
		cat $SYNO_CONF_JSON | jq '. + { "tls_max_version": "1.2" }' > $SYNO_CONF_JSON_TMP
		mv $SYNO_CONF_JSON_TMP $SYNO_CONF_JSON
	fi
else
	cat $SYNO_CONF_JSON | jq '. + { "tls_min_version": "1.2", "tls_max_version": "1.2" }' > $SYNO_CONF_JSON_TMP
	mv $SYNO_CONF_JSON_TMP $SYNO_CONF_JSON
fi
